Name:    amor
Summary: Amusing misuse of resources
Version: 4.11.4
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdetoys/amor
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kde-filesystem
BuildRequires: cmake

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

Conflicts:      kdetoys < 7:4.10.80

%description
Amusing Misuse of Resources animation that sits on top of the curent window.

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-kde --without-mo

%check
desktop-file-validate %{buildroot}/%{_kde4_datadir}/applications/kde4/%{name}.desktop

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi


%files -f %{name}.lang
%doc COPYING COPYING.DOC
%{_kde4_bindir}/amor
%{_kde4_appsdir}/amor/
%{_kde4_datadir}/applications/kde4/amor.desktop
%{_datadir}/dbus-1/interfaces/org.kde.amor.xml
%{_kde4_iconsdir}/hicolor/*/*/amor.png
%{_mandir}/man6/amor.6*


%changelog
* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Fri Aug 30 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.11.0-4
- Don't obsolete kdetoys
- BuildRequires: kdelibs4-devel instead of kde-workspace-devel

* Tue Aug 27 2013 Martin Briza <mbriza@redhat.com> - 4.11.0-3
- BuildRequires: cmake
- BuildRequires: kde-workspace-devel

* Tue Aug 27 2013 Martin Briza <mbriza@redhat.com> - 4.11.0-2
- BuildRequires: kde-filesystem for the cmake_kde4 macro

* Tue Aug 27 2013 Martin Briza <mbriza@redhat.com> - 4.11.0-1
- Split off from kdetoys package
